curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345"
payload = {
"metadata": {
"source": "OKTA"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
}
})
}
);
console.log(response.status);
{
"message": "User deleted successfully",
"external_id": "OKTA-USER-12345",
"cor_id": 8546
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-12345' not found for source OKTA",
"code": "ZC004"
}
Users
Delete User
Deletes a user from your COR instance using their external ID
DELETE
/
v2
/
integrations
/
users
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345"
payload = {
"metadata": {
"source": "OKTA"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
}
})
}
);
console.log(response.status);
{
"message": "User deleted successfully",
"external_id": "OKTA-USER-12345",
"cor_id": 8546
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-12345' not found for source OKTA",
"code": "ZC004"
}
Deletes a user from your COR instance using their external ID. This removes the user and the integration mapping.
Path Parameters
string
required
External user ID that was used when creating the user
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must match the source used when creating the user.
Known Errors
ZC001— Entity is not associated (user with the specified external ID not found)UserNotFoundError— No user found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefieldDeletionError— User cannot be deleted due to existing time entries or project assignments
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "OKTA"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345"
payload = {
"metadata": {
"source": "OKTA"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/users/OKTA-USER-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'OKTA'
}
})
}
);
console.log(response.status);
{
"message": "User deleted successfully",
"external_id": "OKTA-USER-12345",
"cor_id": 8546
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "UserNotFoundError",
"message": "User with external ID 'OKTA-USER-12345' not found for source OKTA",
"code": "ZC004"
}
Was this page helpful?
⌘I

